body {
    font-family: 'Arial', sans-serif;
    background-color: #f8f9fa;
    color: #333;
    margin: 0;
    padding: 0;
}
.navbar {
    background-color: #343a40;
    padding-top: 10px;
    padding-bottom: 10px;
}
.navbar-brand {
    font-size: 1.8rem;
    color: #fff !important;
}
.navbar-brand img{
    height: 30px; 
    margin-right: 10px;
}
.navbar-nav .nav-link {
    font-size: 1.2rem;
    color: #fff !important;
    margin-left: 10px;
    margin-right: 10px;
}

a {
    color: var(--bs-secondary-color)!important;
}

.jumbotron {
    background-color: #007bff;
    color: #fff;
    text-align: center;
    padding: 90px 20px;
    margin-bottom: 0;
}
.jumbotron h1 {
    font-size: 3.5rem;
    margin-bottom: 20px;
}
.jumbotron p {
    font-size: 1.5rem;
    margin-bottom: 30px;
}

.section {
    padding: 30px 0;
    background-color: #fff;
    border-bottom: 1px solid #ddd;
    position: relative;
    overflow: hidden;
    transition: background-color 0.3s;
}
.section:hover {
    background-color: #fafafa;
}
.section h2 {
    font-size: 2.5rem;
    margin-bottom: 30px;
    text-align: center;
    color: #333;
    cursor: pointer;
    transition: color 0.3s;
}
.section h2:hover {
    color: #007bff;
}
.section-content {
    display: none;
    font-size: 1rem;
    line-height: 1.6;
    color: #555;
    text-align: justify;
    overflow: hidden;
    transition: height 0.5s ease-out;
    padding: 10px;
    height: 0;
}
.section-content.active {
    display: block;
    height: auto;
    transition: height 0.5s ease-in;
}

.cv-button {
    margin-top: 20px;
    text-align: center;
}
.cv-button .btn {
    padding: 8px 16px;
    font-size: 16px;
    border-radius: 8px;
    transition: all 0.3s ease;
    color: #fff !important;
    border: none;
    background-color: #007bff;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    text-decoration: none;
    touch-action: manipulation;
    user-select: none;
}
.cv-button .btn:hover {
    transform: translateY(-2px);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    background-color: #007bff;
}

.timeline {
    position: relative;
    padding-left: 30px;
    margin-top: 20px;
}
.timeline-dot {
    position: absolute;
    width: 20px;
    height: 20px;
    background-color: #007bff;
    border-radius: 50%;
    left: -30px;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;
}
.timeline-line {
    position: absolute;
    width: 2px;
    background-color: #007bff;
    left: 0;
    top: 0;
    bottom: 0;
    margin-left: 4px;
    z-index: 1;
}
.timeline-item {
    position: relative;
    padding-left: 40px;
    margin-bottom: 50px;
}
.timeline-content {
    background-color: #f8f9fa;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 5px;
    position: relative;
    z-index: 2;
}
.timeline-content a {
    text-decoration: none;
    font-size: 1.2rem;
}
.timeline-content a:hover {
    text-decoration: underline;
}
.important {
    font-weight: bold;
    font-size: 0.9rem;
  }

.table-responsive {
    margin-top: 20px;
}
.table-wrapper {
    max-width: 800px;
    width: 100%;
    margin: 0 auto;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    overflow: hidden;
    background-color: #f9f9f9;
}
.table {
    width: 100%;
    margin: 0;
    color: #212529;
    border-collapse: collapse;
}
.table th, .table td {
    vertical-align: middle;
    text-align: center;
    padding: 1rem;
    border: 1px solid #dee2e6;
    word-wrap: break-word;
}
.table th {
    background-color: #007bff;
    color: white;
    border-bottom: 2px solid #dee2e6;
    font-size: 1rem;
    font-weight: bold;
}
.table td {
    font-size: 0.875rem;
}
.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(0, 123, 255, 0.1);
}

footer {
    background-color: #343a40;
    color: #ccc;
    text-align: center;
    padding: 5px 0;
}
footer p {
    margin: 0;
    line-height: 50px;
    font-size: 0.9rem;
}

@media (max-width: 768px) {
.navbar-brand {
    font-size: 1.3rem;
}
.navbar-brand img{
    height: 20px;
    margin-right: 5px;
}
.jumbotron {
    padding: 60px 20px;
}
.jumbotron h1 {
    font-size: 2.4rem;
}
.jumbotron p {
    font-size: 0.9rem;
}
.section {
    padding: 15px;
}
.section-content {
    padding: 2px;
}
.section h2 {
    font-size: 2rem;
    }
.section h4 {
    font-size: 1rem;
    }
.section-content {
    font-size: 0.6rem;
}

.cv-button {
    margin-top: 15px;
}

.cv-button .btn {
    padding: 10px 10px;
    font-size: 10px;
}

.timeline-item {
    padding-left: 10px;
}
.timeline-dot {
    width: 15px;
    height: 15px;
}
.timeline-content {
    padding: 10px;
    word-break: normal;
    hyphens: auto;
    white-space: normal;
}
.timeline-content h4{
    font-size: 0.9rem;
}
.timeline-content a{
    font-size: 0.75rem;
}
.timeline-content span{
    font-size: 0.6rem;
}
.important {
    font-size: 0.45rem;
  }

.table-wrapper {
    width: 100%;
    overflow-x: auto;
    border-radius: 2px;
    box-shadow: none;
}
.table {
    display: block;
    width: 100%;
    overflow-x: auto;
}
.table th, .table td {
    padding: 0.6rem;
    font-size: 0.6rem;
}

footer p {
        font-size: 0.7rem;
    }
}